www-infrastructure-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gavin (JIRA)" <j...@apache.org>
Subject [jira] Created: (INFRA-2434) Setup up builds for Etch project
Date Tue, 12 Jan 2010 00:38:54 GMT
Setup up builds for Etch project
--------------------------------

                 Key: INFRA-2434
                 URL: https://issues.apache.org/jira/browse/INFRA-2434
             Project: Infrastructure
          Issue Type: Wish
      Security Level: public (Regular issues)
          Components: Buildbot, Continuum, Hudson
            Reporter: Gavin


windows xp pro or whatever with these dependencies:

Dependencies
------------

To build the compiler core and the Java and XML bindings and Java-based
examples,
you need the following:

 * Java JDK 1.5_011 or later
 * Apache Ant 1.7+
 * JavaCC 4.0
 * Junit 4.3.1
 * Velocity 1.5

To compile the C# bindings and examples:

 * Apache Ant DotNet 1.0
 * .NET Framework 2.0 (Visual Studio 2005)
 ** (Mono 1.9 support is experimental)
 * NUnit 2.4.7

To compile NSIS installers:

 * NSIS 2.23

ideal would be to build the unix artifacts on a linux box. mono not
required.
same deps as the java part above.

eventually there would be a c, python, etc. build, too.


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message